Create, read, update, and delete XMPP Domains
URL: /api/1.0/xmppdomains/<fqdn>/status
URL: /api/1.0/xmppdomains/<fqdn>
| Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | specify the XMPP domain to retrieve |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body |
URL: /api/1.0/xmppdomains[/fqdn]
| URL Arguments | Required | Purpose |
|---|---|---|
| fqdn | optional | specify the XMPP domain to create, if not included a random chatwith.it domain will be created |
| HTTP Parameters | Required | Purpose |
|---|---|---|
| organization_name | optional | the name of the organization the domain is being created for, defaults to the API user’s primary organization |
| format | optional | the format of the response and the request body (if any), defaults to JSON |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
URL: /api/1.0/xmppdomains/<fqdn>
| URL Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | specify the XMPP domain to modify |
The PUT method accepts the same JSON object format that is returned by the GET and POST methods. Only fields that are present will be updated, any fields that are omitted are ignored.
| JSON Parameters | Required | Purpose |
|---|---|---|
| authenticationMethod | optional | Set auth method ‘default’, ‘restapi’, or ‘pop3’ |
| authRestUrl | optional | |
| authRestSecret | optional | |
| authRestCacheTtl | optional | |
| authPop3Host | optional | |
| authPop3Port | optional | |
| authPop3AppendDomain | optional | |
| authPop3CacheTtl | optional | |
| authPop3UseSsl | optional | |
| displayName | optional | |
| enableFederation | optional | Enable/Disable XMPP server to server federation |
| moduleConfig | optional | JSON structure containing enabled modules |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body |
URL: /api/1.0/xmppdomains/<fqdn>
| Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | specify the XMPP domain to delete |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body |
This is a complete example of an XMPP Domain response object:
{
"authPop3AppendDomain": "",
"authPop3CacheTtl": 120,
"authPop3Host": "",
"authPop3Port": 110,
"authPop3UseSsl": false,
"authRestCacheTtl": 120,
"authRestMethod": "POST",
"authRestSecret": "",
"authRestUrl": "",
"authenticationMethod": "default",
"displayName": "example.chatwith.it",
"fqdn": "example.chatwith.it",
"isEnabled": true,
"isRunning": false,
"moduleConfig": {
"enableAnonymousLogin": false,
"enableFederation": true,
"enableOrgFederation": true,
"modAdhoc": {
"enabled": false
},
"modBlocking": {
"enabled": false
},
"modDisco": {
"enabled": true
},
"modHttpBind": {
"enabled": true
},
"modLast": {
"enabled": false
},
"modMongerBilling": {
"enabled": true
},
"modMuc": {
"conferenceSubdomain": "muc",
"enabled": false,
"mucAcl": "local",
"mucCreateAcl": "muc_create_users",
"validMucAcl": [
"all",
"local",
"muc_users",
"muc_create_users"
],
"validMucCreateAcl": [
"local",
"muc_create_users"
]
},
"modMulticast": {
"enabled": false
},
"modOffline": {
"enabled": false
},
"modPing": {
"enabled": false
},
"modPrivacy": {
"enabled": false
},
"modPubsub": {
"createnodeAcl": "local",
"enabled": false,
"validCreatenodeAcl": [
"local",
"pubsub_create_users"
]
},
"modRoster": {
"enabled": true
},
"modSharedRoster": {
"enabled": false
},
"modTime": {
"enabled": true
},
"modVcard": {
"enabled": false
},
"modVersion": {
"enabled": true
}
},
"organizationName": null,
"resourceUri": "/api/1.0/xmppdomains/example.chatwith.it?format=json",
"userCount": 0,
"userlistUri": "/api/1.0/xmppdomains/example.chatwith.it/users?format=json"
}